#!/usr/bin/perl
#
# addnewuser.cgi 
#
# Copyright 1999 -- 2001, onShore Development Inc. <URL:http://www.onshore-devel.com/>
#
#
# This program is free software under the terms of the GNU General Public
# License (GPL). A copy of the GPL, "COPYING", should have been made
# available with this software.  If not, a copy may be obtained at 
# http://www.fsf.org/copyleft/gpl.html
#
# $Id: addnewuser.cgi,v 1.8 2001/08/29 22:22:45 adam Exp $
#

require '/etc/onshore-timesheet.conf';
require '/usr/lib/perl5/onshore-timesheet/user-funcs.pl';
require '/usr/lib/perl5/onshore-timesheet/common-funcs.pl';
use CGI qw(:standard);

&time_head("User Functions");
my $function = param('function');

if ( ($function eq "delete") && (param('choose')) ) {
    print h1('FUNCTION 1');
    print <<EOT;
<CENTER>
<IMG SRC="images/addnewuser-big.gif" BORDER=0 ALT=[Add New Client]>
</CENTER>
<FORM NAME="addnewuser" METHOD="POST" ACTION="addnewuser.cgi" TARGET="right">
<INPUT TYPE="hidden" NAME="function" VALUE="edit">
<H1>Choose User</H1>
EOT
    &add_user_entry("edit", 'ADD', 'EDIT', 'DEL');
    exit;
}

# edit screen 1 (user makes edits)
if ( ($function eq "edit") && (param('choose')) ) {
    print h1('FUNCTION 2');
    print <<EOT;
<CENTER>
<IMG SRC="images/addnewuser-big.gif" BORDER=0 ALT=[Add New Client]>
</CENTER>
<FORM NAME="addnewuser" METHOD="POST" ACTION="addnewuser.cgi" TARGET="right">
<INPUT TYPE="hidden" NAME="function" VALUE="edit">
<H1>Choose User</H1>
EOT
    &add_user_entry("edit", 'ADD', 'EDIT', 'DEL');
    exit;
}


# edit screen 2 (timesheet saves edits in database)
# if function is set to edit and they clicked on the edit button
if ( ($function eq "edit") && (param('edit.x')) ) {
    &help_button_big('EDIT_USER');
    #print h1('FUNCTION USER_EDITED');
    print <<EOT;
<CENTER>
<IMG SRC="images/edituser-big.gif" BORDER=0 ALT=[Edit User]>
</CENTER>
<FORM NAME="addnewuser" METHOD="POST" ACTION="addnewuser.cgi" TARGET="right">
<HR SIZE=3>
EOT
    &add_user_data("edit");
    &reset_all_params;
    &add_user_entry("", '', 'EDIT', '');
    exit;
}

# delete screen 2 (timesheet deletes user)
# if function is set to delete and the clicked on delete button
#if ( ($function eq "delete") && (param('delete.x')) ) {
#&help_button_big('DELETE_USER');
#print h1('FUNCTION DELETE  22222');
#
#print <<EOT; 
#<CENTER>
#<IMG SRC="images/deleteuser-big.gif" BORDER=0 ALT=[Delete User]>
#</CENTER>
#<FORM NAME="addnewuser" METHOD="POST" ACTION="addnewuser.cgi" TARGET="right">
#<H1>Delete User</H2>
#EOT
#	&del_user_submit;	
#	exit;
#}


# user added screen; confirmation given
if ( ($function eq "create") && (param('create.x')) ) {
    &help_button_big('ADD_NEW_USER');
    print <<EOT;
<CENTER>
<IMG SRC="images/addnewuser-big.gif" BORDER=0 ALT=[Add New Client]>
</CENTER>
<FORM NAME="addnewuser" METHOD="POST" ACTION="addnewuser.cgi" TARGET="right">
<HR SIZE=3>

EOT
    &add_user_data;

    &reset_all_params();

    &add_user_entry('', 'ADD', '', '');
    exit;
}


# arrived at by pressing add a new user while editing (in edit screen 1)
# arrived at by pressing add a new user while in user added screen (in edit screen 1)
if ( param('create.x') ) {
    &help_button_big('ADD_NEW_USER');
    print h1('FUNCTION 6');
    print <<EOT;
<CENTER>
<IMG SRC="images/addnewuser-big.gif" BORDER=0 ALT=[Add New User]>
</CENTER>
<FORM NAME="addnewuser" METHOD="POST" ACTION="addnewuser.cgi" TARGET="right">
<INPUT TYPE="hidden" NAME="function" value="create">
EOT
 
    &add_user_entry('', 'ADD', '', '');
    exit;
}


# editing 'list' screen
if ( param('edit.x') || param('editor') ) {
    &help_button_big('EDIT_USER');
    #print h1('FUNCTION EDIT');
    print <<EOT;
<CENTER>
<IMG SRC="images/edituser-big.gif" BORDER=0 ALT=[Add New Client]>
</CENTER>
<FORM NAME="addnewuser" METHOD="POST" ACTION="addnewuser.cgi" TARGET="right">
<INPUT TYPE="hidden" NAME="function" value="edit">
EOT

    &add_user_entry("edit", '', 'EDIT', '');
    exit;
}




if ( ((param('deleter') eq 'dellist') && !param('delme')) || 
    ((param('function') eq 'delete') && !param('delme')))  {
    &help_button_big('DELETE_USER');
    #print h1('FUNCTION DELETED ONE');
    print <<EOT;
<CENTER>
<IMG SRC="images/deleteuser-big.gif" BORDER=0 ALT=[Delete User]>
</CENTER>
<FORM NAME="addnewuser" METHOD="POST" ACTION="addnewuser.cgi" TARGET="right">
<INPUT TYPE="hidden" NAME="function" VALUE="create">
<HR SIZE=3>
EOT
    &del_user_submit;	
    &reset_all_params;
    &add_user_entry('', '', '', 'DEL');
    exit;
}


# delete Screen 1 Arrived at by hitting delete button on main screen
# arrived at from hitting delete button while editing (In edit screen 1)
if ( param('delete.x') || (param('delme') && param('deleter')) ) {
    &help_button_big('DELETE_USER');
    #print h1('FUNCTION DELETE 1111');
    my $username = param('personnel_id');
    print <<EOT;
<CENTER>
<IMG SRC="images/deleteuser-big.gif" BORDER=0 ALT=[Delete User]>
</CENTER>
<FORM NAME="addnewuser" METHOD="POST" ACTION="addnewuser.cgi" TARGET="right">
<INPUT TYPE="hidden" NAME="function" value="delete">
EOT

    &add_user_entry("edit", '', '', 'DEL');
    exit;
}

if ( param('editor') eq 'editlist' ) {
    # edit screen
    &help_button_big('USER_FUNCTIONS');
    print h1('FUNCTION EDITME');
    print <<EOT;
<CENTER>
<IMG SRC="images/userfunctions-big.gif" BORDER=0 ALT=[Add New Client]>
</CENTER>
<FORM NAME="addnewuser" METHOD="POST" ACTION="addnewuser.cgi" TARGET="right">
<INPUT TYPE="hidden" NAME="function" VALUE="create">
EOT
    &add_user_entry('', '', 'EDIT', '');
    exit;
}




# first screen
&help_button_big('USER_FUNCTIONS');
print <<EOT;
<CENTER>
<IMG SRC="images/userfunctions-big.gif" BORDER=0 ALT=[Add New Client]>
</CENTER>
<FORM NAME="addnewuser" METHOD="POST" ACTION="addnewuser.cgi" TARGET="right">
<INPUT TYPE="hidden" NAME="function" VALUE="create">
<INPUT TYPE="hidden" NAME="delme" VALUE="askfirst">
EOT
&add_user_entry('', 'ADD', 'EDIT', 'DEL');
exit;
