#!/usr/bin/perl
#
# authfailed.cgi
#
# Copyright 1999 -- 2001, onShore Development Inc. <URL:http://www.onshore-devel.com/>
#
#
# This program is free software under the terms of the GNU General Public
# License (GPL). A copy of the GPL, "COPYING", should have been made
# available with this software.  If not, a copy may be obtained at 
# http://www.fsf.org/copyleft/gpl.html
#
# 

require '/etc/onshore-timesheet.conf';
use CGI qw(:standard);

# decide if we're re-logging in
if ( remote_user() eq param('user') ) {
    print header(-type=>'text/html',
		 -status=>'401 Unauthorized',
		 '-WWW-Authenticate'=>'Basic realm="onShore Timesheet access"'
		 ),
		     start_html('-title'=>'Forcing reauthentication',
				'-BGCOLOR'=>$Conf::BGCOLOR),
		     h1("Forcing reauthentication"),
   "This page forces you to log in again as a user other than `",
   param('user'),
   "'.  You hit cancel; therefore, you are fighting against yourself!", 
   p, 
   "Try it ",
   a({href=>script_name() . "?user=" . remote_user()}, 'again'),
   " entering your ", 
   i('new'),
   " user name and password.  Alternatively, you can just start at the ",
   a({href=>$Conf::HTTP_DIR}, 'beginning'), 
   " and be your old self again.",
   end_html;
} else {
    print redirect($Conf::HTTP_DIR);
}

