#!/usr/bin/perl
#
# clientreport.cgi
#
# Copyright 1999 -- 2001, onShore Development Inc. <URL:http://www.onshore-devel.com/>
#
#
# This program is free software under the terms of the GNU General Public
# License (GPL). A copy of the GPL, "COPYING", should have been made
# available with this software.  If not, a copy may be obtained at 
# http://www.fsf.org/copyleft/gpl.html
#
# 

# NOTE: this script is broken and not currently supported

require '/etc/onshore-timesheet.conf';
require '/usr/lib/perl5/onshore-timesheet/hours-funcs.pl';
require '/usr/lib/perl5/onshore-timesheet/common-funcs.pl';
use CGI qw(:standard);
use ADB;

my $dead = '';
my $function;
my $dummy;


print header,
    start_html('-title'      => $Conf::VIEWEDIT_HOURS,
	       '-BACKGROUND' => $Conf::BACKGROUND,
	       '-script'     => $Conf::JAVA_HELP,
	       '-BGCOLOR'    => $Conf::BGCOLOR,
	       );

if (param('searchsubmit.x')) {
    my %state;
    my $searchtable;
    my $dbconn;
    my $result;
    my $oops;
    my %hours;
    my $var;
    
    &print_form_head;
    
    $dbconn = new ADB($Conf::DBADDR,$Conf::SQLDB);
    if (!$dbconn->is_ok) {
	$oops = $dbconn->errorstring;
	&error("Cannot connect to backend: $oops\n");
    }
    
    &initialize_state(%state);
    
    # get all the state variables in shape for the search
    
    $state{'fksupervisor_id'} = param('fksupervisor_id')
	unless (param('fksupervisor_id') eq "any");	
    
    if (!param('client_id')) {
	&error("You must choose a client first!");
    }
    $state{'fkclient_id'} = param('client_id');
    
    $state{'fkjob_id'} = param('fkjob_id') if param('fkjob_id');
    $state{'to_date'} = param('to_date') if param('to_date');
    $state{'from_date'} = param('from_date') if param('from_date');
    if ($state{'to_date'} =~ m|/|) {
	$state{'to_date'} = &dbdate($state{'to_date'});
    }
    if ($state{'from_date'} =~ m|/|) {
	$state{'from_date'} = &dbdate($state{'from_date'});
    }
    # run the search and get our temp storage table in return
    my $jobs_search_result;
    $jobs_search_result = &jobtrack_search_hours(%state);
    
    if (!$jobs{'1'}) {
	print "<H1>No Matches Found</H1>";
	exit;
    }

    # if we want the short listing do this
    my $key;
    my %short_hours;
    my $sq = "SELECT * FROM $state{'searchtable'}, hours, client, job WHERE " .
	"$state{'searchtable'}.hours_id = hours.hours_id AND hours.fkclient_id " .
	    "= client.client_id AND hours.fkjob_id = job.job_id;";
    my $hours_munge = $dbconn->query("$sq");
    if (!$hours_munge) {
	my $oops = $dbconn->errorstring;
	&error("Error getting hours munge: $sq => $oops\n");
    }
    print "<H3 ALIGN=\"center\">Short Listing</H3><br>\n";
    print "<TABLE BORDER=1>\n";
    print "<TR><TH>Job ID</TH><TH>Description</TH><TH>User</TH><TH>Hours</TH><TH>Date</TH></TR>\n";
    my $numlines = $hours_munge->get_num_rows;
    my $i;
    my %hhash;
    $i = 0;
    my $hours_sum = 0;
    while ($i < $numlines) {
	%hhash = $hours_munge->get_row($i);
	print "<TR>";
	print "<TD halign=center>$hhash{fkjob_id}</TD>";
	print "<TD>$hhash{'hours_description'}</TD>";
	print "<TD>$hhash{'fkpersonnel_id'}</TD>";
	print "<TD>$hhash{'total_hours'}</TD>";
	print "<TD>$hhash{'date_entered'}</TD>";
	print "</TR>\n";
	$hours_sum = $hours_sum + $hhash{'total_hours'};
	$i++;
    }
    
    print "<TR><TD COLSPAN=3 HALIGN=\"right\">Total Hours:</TD><TD>$hours_sum</TD><TD></TD></TR>\n";	
    print "</TABLE>\n";
    print '<INPUT TYPE="image" NAME="search" SRC="images/search.gif" BORDER=0>';
    
} else {			# the bottom of the basket, print new form
    my %state;
    my $oops;
    my $dbconn;
    $dbconn = new ADB($Conf::DBADDR,$Conf::SQLDB);
    if (!$dbconn->is_ok) {
        $oops = $dbconn->errorstring;
        &error("Cannot connect to backend: $oops\n");
    }
    &initialize_state(%state);
    &print_form_head;
    &reset_all_params;
    param('date_entered', '');
    param('to_date', '');
    param('from_date', '');
    param('travel','any');
    param('billable','any');
    param('approved','any');
    param('downloaded', 'n');
    
    &client_search_hours_form('client_id'=>"$state{'client_id'}",
			      'client_name'=>"$state{'client_name'}",
			      'remote_user'=>"$state{'remote_user'}",
			      'supers'=>\@supers);
    
    &searchbutton;
    &write_state(%state);
    print "</FORM>\n";
}

sub print_form_head {
    print <<EOT;
<CENTER>
<IMG SRC="images/viewedithours-big.gif" BORDER=0 ALT="[View/Edit Hours]">
</CENTER>
<FORM NAME="loghours" METHOD="POST" ACTION="viewedithours.cgi">
EOT
}

sub searchbutton {
    print "<INPUT TYPE=\"image\" NAME=\"searchsubmit\" SRC=\"images/search.gif\" BORDER=\"0\">";
}


