#!/usr/bin/perl
#
# jobnumreport.cgi
#
# Copyright 1999 -- 2001, onShore Development Inc. <URL:http://www.onshore-devel.com/>
#
#
# This program is free software under the terms of the GNU General Public
# License (GPL). A copy of the GPL, "COPYING", should have been made
# available with this software.  If not, a copy may be obtained at 
# http://www.fsf.org/copyleft/gpl.html
#
# $Id: jobnumreport.cgi,v 1.7 2001/08/29 22:22:45 adam Exp $

use CGI qw(:standard);
require '/etc/onshore-timesheet.conf';
require '/usr/lib/perl5/onshore-timesheet/common-funcs.pl';

&time_head("User Functions");

my $luser = param('job_id');
my $dbconn = new ADB($Conf::DBADDR, $Conf::SQLDB);
my $user_rec;
my $sql = "select * from $Conf::HOURS_DB where fkjob_id = $luser AND del = 'n';";
my $result = $dbconn->query($sql);

print "<H2>Job Report for $luser</H2>\n";   

if ( ! $result ) {
    my $oops = $dbconn->errorstring;
    &error("Error selecting records: $oops", $sql);
}

my $rows = $result->get_num_rows;
if ( ! $rows ) {
    &user_error("No hours logged for client $luser!");
}

print "<INPUT TYPE=\"hidden\" NAME=\"list\" VALUE=\"1\">\n";	
my $i = 0;
my $id;
my $lab;
my %labels;
my @names;
my $total = 0;
while ( $i < $rows ) {
    $lab = "<TR><TD><FONT SIZE=-1>";
    $id = $result->get_value($i, 'hours_id');

    my $tmp .= &formdate($result->get_value($i, 'date_entered'));
    $lab .= $tmp;
    $lab .= " </TD><TD ALIGN=RIGHT><FONT SIZE=-1> ";

    $lab .= $result->get_value($i, 'fkjob_id');
    $lab .= "</TD><TD><FONT SIZE=-1>";

    my $rec = $dbconn->get_record($Conf::CLIENT_DB_KEY,
				  $result->get_value($i, 'fkclient_id'),
				  $Conf::CLIENT_DB);

    $lab .= $$rec{'client_name'};
    $lab .= " </TD><TD><FONT SIZE=\"-1\"> ";

    $lab .= $result->get_value($i, 'hours_description');
    $lab .= " </TD><TD ALIGN=RIGHT><FONT SIZE=\"-1\"> ";

    $lab .= $result->get_value($i, 'total_hours');
    $total += $result->get_value($i, 'total_hours');
    $lab .= "</FONT></TD></TR>";
    $labels{$id} = $lab;
    $i++;

}
@names = keys %labels;

print "<CENTER><TABLE BORDER=0 CELLSPACING=4>";
print "    <TR><TD>
                   <B>Date</B></TD><TD  ALIGN=RIGHT>
             <B>Job #</B></TD><TD>
                 <B>Client</B></TD><TD> 
    <B>Description</B></TD><TD  ALIGN=RIGHT>
             <B># of Hours</B></TD><TD> 

     </TD></TR>";
print "<TR><TD COLSPAN=5><HR></TD></TR>";

foreach (sort { $a <=> $b; } keys %labels) {
    print "$labels{$_}";
}

print "
<TR><TD COLSPAN=5><HR></TD></TR>
<TR><TD COLSPAN=3></TD><TD ALIGN=\"RIGHT\"><B>Total:</B></TD><TD ALIGN=\"RIGHT\"><B>$total</B></TD></TR>
</TABLE></CENTER>";

